Subject: Re: linux-next: manual merge of the usb tree with Linus' tree

From: Greg KH <[email-masked]>
Date: Thu, 16 Dec 2010 07:52:25 -0800

On Thu, Dec 16, 2010 at 10:45:52AM +0200, Felipe Balbi wrote:
> Hi,
> 
> On Thu, Dec 16, 2010 at 10:05:27AM +0200, Felipe Balbi wrote:
> >On Wed, Dec 15, 2010 at 07:08:57PM -0800, Greg KH wrote:
> >>On Thu, Dec 16, 2010 at 02:01:22PM +1100, Stephen Rothwell wrote:
> >>>Hi Greg,
> >>>
> >>>Today's linux-next merge of the usb tree got a conflict in
> >>>drivers/usb/musb/blackfin.c drivers/usb/musb/musb_core.c
> >>>drivers/usb/musb/musb_core.h between commit
> >>>1e393c6eece048052d4131ec4dad3b98e35a98e2 ("USB: musb: blackfin: pm: make
> >>>it work") from Linus' tree (v2.6.37-rc2) and various commits from the usb
> >>>tree.
> >>>
> >>>It was not immediately obvious how to fix these up, so I just used the
> >>>versions from the usb tree.  This may not be correct and it would be good
> >>>if this was fixed properly in the usb tree.
> >>
> >>Hm.  Felipe, I'll merge in the -rc4 tree into usb-next if it makes sense
> >>to do so now, can you send me the patch that ends up being the correct
> >>merge?
> >
> >Sure, I'll check it now and send in a patch in a few minutes.
> 
> There are two commits you didn't have in your usb-next branch which are
> in mainline. Reverting them will make greg/usb-next apply cleanly on top
> of v2.6.47-rc4. The commits are:
> 
> 32d5dc9520f0c6f60f691dd478741c774e292406 : USB: musb: pm: don't rely fully on clock support
> 1e393c6eece048052d4131ec4dad3b98e35a98e2 : USB: musb: blackfin: pm: make it work
> 
> Do you want me to rebase on top of -rc4 or is reverting those two enough
> for you ? As a sidenote, the series I sent you already fixes those two
> cases as we moved PM and clock handling entirely to glue layer, so those
> two cases are taken care of on the series, reverting those patches won't
> pose any regressions.

So, I should do the following things:
	take -rc6
	revert the above commits
	merge with usb-next
	push out

and all should be good, right?  If so, that's fine with me, I'll do it
today.  If not, please let me know.

thanks,

greg k-h